Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
response
/
bill-fetch
Bill Fetch Response (Polling)
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/response/bill-fetch \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202"
}
'
{
  "status": "OK",
  "message": "Request is still being processed",
  "data": {
    "bill_fetch_response": {
      "ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
      "response_code": "PENDING",
      "response_reason": "Processing"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to poll a bill fetch or bill validation request.

ref_id
string
required

The ref_id received from the Bill Fetch Request API

Example:

"HENSVVR4QOS7X1UGPY7JGUV444P10102202"

Response

Success response for polling a bill fetch or bill validation request.

status
string

Always "OK".

Example:

"OK"

message
enum<string>

Indicates the actual outcome of the request.

Available options:
Bill details fetched successfully,
Request is still being processed,
Bill request failed
data
object